# List content import sources

You can retrieve a list of all content import sources for a workspace.

Endpoint: GET /ai/content_import_sources
Version: 2.15
Security: bearerAuth

## Header parameters:

  - `Intercom-Version` (string)
    Intercom API version.By default, it's equal to the version set in the app package.
    Enum: "1.0", "1.1", "1.2", "1.3", "1.4", "2.0", "2.1", "2.2", "2.3", "2.4", "2.5", "2.6", "2.7", "2.8", "2.9", "2.10", "2.11", "2.12", "2.13", "2.14"

## Response 200 fields (application/json):

  - `type` (string)
    The type of the object - list.
    Enum: "list"

  - `pages` (object)
    The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.

Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.

  - `pages.type` (string)
    Enum: "pages"

  - `pages.page` (integer)
    Example: 1

  - `pages.next` (string,null)
    A link to the next page of results. A response that does not contain a next link does not have further data to fetch.

  - `pages.per_page` (integer)
    Example: 50

  - `pages.total_pages` (integer)
    Example: 1

  - `total_count` (integer)
    A count of the total number of content import sources.
    Example: 1

  - `data` (array)
    An array of Content Import Source objects

  - `data.type` (string, required)
    Always external_page
    Enum: "content_import_source"

  - `data.id` (integer, required)
    The unique identifier for the content import source which is given by Intercom.
    Example: 1234

  - `data.last_synced_at` (integer, required)
    The time when the content import source was last synced.
    Example: 1672928610

  - `data.sync_behavior` (string, required)
    If you intend to create or update External Pages via the API, this should be set to api.
    Enum: "api", "automatic", "manual"

  - `data.status` (string, required)
    The status of the content import source.
    Enum: "active", "deactivated"

  - `data.url` (string, required)
    The URL of the root of the external source.
    Example: "https://help.example.com/"

  - `data.created_at` (integer, required)
    The time when the content import source was created.
    Example: 1672928359

  - `data.updated_at` (integer, required)
    The time when the content import source was last updated.
    Example: 1672928610

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: "error.list"

  - `request_id` (string,null)
    Example: "f93ecfa8-d08a-4325-8694-89aeb89c8f85"

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: "unauthorized"

  - `errors.message` (string,null)
    Optional. Human readable description of the error.
    Example: "Access Token Invalid"

  - `errors.field` (string,null)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: "email"


